<?php

namespace Garradin\Plugin\Materiels;

use Garradin\DB;

class Category
{
  protected $id;
	protected $name;

  protected $_types = [
    'id' => 'int',
    'name' => 'string',
  ];

  public function add($data = [])
	{
		DB::getInstance()->insert('plugin_materiels_category', $data);
	}

  public function delete($id)
	{
		DB::getInstance()->delete('plugin_facturation_clients', 'id = ' . $id);
	}

  public function get($id)
  {
    return DB::getInstance()->first('SELECT * FROM plugin_materiels_category WHERE id = ?;', $id);
  }

  public function listAll()
	{
		return DB::getInstance()->get('SELECT id, name FROM plugin_materiels_category ORDER BY name;');
	}
}
