<?php

namespace Garradin;
use Garradin\Plugin\Materiels\Category;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$cat = new Category;
$cat = $cat->get((int) qg('id'));

if (!$cat) {
	throw new UserException("Cette catégorie n'existe pas.");
}

$csrf_key = 'cat_delete_' . qg('id');

$form->runIf('delete', function () use($cat) {
	$cat->delete((int) qg('id'));
}, $csrf_key, Utils::redirect(PLUGIN_URL . 'categories/index.php'));

$tpl->assign(compact('cat', 'csrf_key'));

$tpl->display(PLUGIN_ROOT . '/templates/categories/supprimer_categorie.tpl');
